Send EHF invoice
An EHF invoice is normally sent automatically upon order settlement completion, but here you can try an send it again if it failed the first time. If sending succeeds, the status is also checked.
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+receiptUidstringRequiredPattern:
Reference to a Receipt.
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
voucherNumberstringRequired
orderUidstringRequiredPattern:
^[A-Za-z0-9-_]+orderNumberstringRequired
orderSettlementUidstringRequiredPattern:
^[A-Za-z0-9-_]+statusOkbooleanRequired
statusAtstring · date-timeRequired
statusMessagestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
201
Example response
{
"voucherNumber": "text",
"orderUid": "text",
"orderNumber": "text",
"orderSettlementUid": "text",
"statusOk": true,
"statusAt": "2026-01-01T00:00:00.000Z",
"statusMessage": "text"
}Last updated
Was this helpful?

